ExtendedAccessLogValve.PatternTokenizer (Tomcat API Documentation)
Keywords: org.apache.catalina.valves.ExtendedAccessLogValve.PatternTokenizer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.valves
Class ExtendedAccessLogValve.PatternTokenizer

    java.lang.Object
      org.apache.catalina.valves.ExtendedAccessLogValve.PatternTokenizer

Enclosing class:
  ExtendedAccessLogValve

    protected class ExtendedAccessLogValve.PatternTokenizer

extends java.lang.Object

Constructor Summary
`ExtendedAccessLogValve.PatternTokenizer(java.lang.String str)`

Method Summary
`java.lang.String` | `getParameter()`
`java.lang.String` | `getRemains()`
`java.lang.String` | `getToken()`
`java.lang.String` | `getWhiteSpaces()`
`boolean` | `hasParameter()`
`boolean` | `hasSubToken()`
`boolean` | `isEnded()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedAccessLogValve.PatternTokenizer

    public ExtendedAccessLogValve.PatternTokenizer(java.lang.String str)

Method Detail

### hasSubToken

    public boolean hasSubToken()

### hasParameter

    public boolean hasParameter()

### getToken

    public java.lang.String getToken()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getParameter

    public java.lang.String getParameter()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getWhiteSpaces

    public java.lang.String getWhiteSpaces()
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### isEnded

    public boolean isEnded()

### getRemains

    public java.lang.String getRemains()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.